Alembic: Alembic::AbcGeom::ALEMBIC_VERSION_NS::OTypedGeomParam< TRAITS > Class Template Reference

Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::AbcGeom::ALEMBIC_VERSION_NS::OTypedGeomParam< TRAITS > Class Template Reference
Collaboration diagram for Alembic::AbcGeom::ALEMBIC_VERSION_NS::OTypedGeomParam< TRAITS >:
[legend]

## Classes
class | Sample

## Public Types
typedef TRAITS::value_type | value_type
typedef OTypedArrayProperty< TRAITS > | prop_type
typedef OTypedGeomParam< TRAITS > | this_type
typedef this_type::Sample | sample_type

## Public Member Functions
| OTypedGeomParam (OCompoundProperty iParent, const std::string &iName, bool iIsIndexed, GeometryScope iScope, size_t iArrayExtent, const Argument &iArg0=Argument(), const Argument &iArg1=Argument(), const Argument &iArg2=Argument())
| OTypedGeomParam (AbcA::CompoundPropertyWriterPtr iParent, const std::string &iName, bool iIsIndexed, GeometryScope iScope, size_t iArrayExtent, const Argument &iArg0=Argument(), const Argument &iArg1=Argument(), const Argument &iArg2=Argument())
void | set (const sample_type &iSamp)
void | setFromPrevious ()
void | setTimeSampling (uint32_t iIndex)
void | setTimeSampling (AbcA::TimeSamplingPtr iTime)
size_t | getNumSamples () const
AbcA::DataType | getDataType () const
bool | isIndexed () const
GeometryScope | getScope () const
AbcA::TimeSamplingPtr | getTimeSampling () const
const std::string & | getName () const
bool | valid () const
| ALEMBIC_OPERATOR_BOOL (this_type::valid())
void | reset ()
prop_type | getValueProperty () const
OUInt32ArrayProperty | getIndexProperty () const

## Static Public Member Functions
static const char * | getInterpretation ()
static bool | matches (const AbcA::PropertyHeader &iHeader, SchemaInterpMatching iMatching=kStrictMatching)

## Protected Attributes
std::string | m_name
prop_type | m_valProp
OUInt32ArrayProperty | m_indicesProperty
bool | m_isIndexed
GeometryScope | m_scope
Abc::OCompoundProperty | m_cprop

The documentation for this class was generated from the following file:

- AbcGeom/OGeomParam.h